	program cmd3
c
c This time just grab the RGB stars and write them out
c
	character*70 line
	logical rgb_star
	real v(20000),bv(20000)

	do i = 1,20000
	   read(5,'(a)',end=900)line
	   read(line,*)id,x,y,v(i),verr,rot1,rot2,bv(i)

           if (rgb_star(v(i),bv(i))) write(6,'(a)')line
	enddo
 900	continue
	stop
	end




        logical function rgb_star(v,bv)

        real vlim(20),bvmed(20),vavg(20),err(20)
        real bvlo(5),bvup(5),vla(5),vlb(5),vua(5),vub(5)

       data vlim/9.890, 10.56, 10.93, 11.37, 11.64, 11.86, 
     %    12.25, 12.48, 12.69, 13.01, 13.32, 13.68, 14.54,      
     %    15.54, 16.08, 16.48, 16.86, 17.31, 17.87, 19.30/      

       data bvmed/1.41, 1.32, 1.20, 1.12, 1.07, 1.01, 0.96,
     %      0.95, 0.93, 0.91, 0.88, 0.84, 0.81, 0.76, 0.64,
     %      0.57, 0.57, 0.59, 0.62, 0.71/



	data vavg/9.880, 10.225, 10.745, 11.150, 11.505, 11.750,
     %   12.055, 12.365, 12.585, 12.850, 13.165, 13.500, 14.110,
     %   15.040, 15.810, 16.280, 16.670, 17.085, 17.590, 18.585/


	data err/ 0.10, 0.10, 0.10, 0.10, 0.10, 0.06, 0.06, 0.10,
     %      0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10, 0.10,
     %      0.15, 0.20, 0.25/

	data bvlo/0.80, 0.58, 0.45, 0.15, 0.10/
        data bvup/0.95, 0.73, 0.58, 0.37, 0.23/

        data vla/12.6, 13.2, 13.2, 13.2, 14.2/
        data vlb/12.0, 13.2, 13.2, 13.2, 13.8/
        data vua/12.0, 12.0, 12.0, 12.8, 13.2/
        data vub/11.4, 12.0, 12.0, 12.8, 13.2/


        rgb_star = .false.

        do i = 2,20
           if (v.lt.vavg(i) .and. v.ge.vavg(i-1)) then
              slope = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
              bvc = bvmed(i) + slope*(v-vavg(i))
              derr = (err(i-1)-err(i))*(v-vavg(i))/(vavg(i-1)-vavg(i))
              derr = derr + err(i)
              bvr = bvc + derr
              bvb = bvc - derr

              if (bv.le.bvr .and. bv.ge.bvb) then
                  rgb_star = .true.
                  return
              endif
           elseif (i.eq.20 .and. v.le.vlim(20).and.v.gt.vavg(20)) then
c
c check for last box
c
              slope = (bvmed(i-1)-bvmed(i)) / (vavg(i-1)-vavg(i))
              bvc = bvmed(i) + slope*(v-vavg(i))
              eslope20 = (err(20)-err(19))/(vavg(20)-vavg(19))
              err20 = err(19) + (vlim(20)-vavg(19))*eslope20
              derr = (err20-err(19))*(v-vavg(19))/(vlim(20)-vavg(19))
              derr = derr + err(19)
              bvr = bvc + derr
              bvb = bvc - derr
              if (bv.le.bvr .and. bv.ge.bvb) then
                 rgb_star = .true.
                 return
              endif
           else
c
c check to see if the star is in one of the HB boxes
c
             do j = 1,5
                if (vla(j).eq.vlb(j)) then
                   vmin = vla(j)
                else
                   hslope = (vlb(j)-vla(j))/(bvup(j)-bvlo(j))
                   vmin  = vla(j) +  (bv-bvlo(j))*hslope
                endif

                if (vua(j).eq.vub(j)) then
                   vmax = vua(j)
                else
                   hslope = (vub(j)-vua(j))/(bvup(j)-bvlo(j))
                   vmax  = vua(j) +  (bv-bvlo(j))*hslope
                endif

                if (bv.ge.bvlo(j) .and. bv.le.bvup(j) .and. 
     %              v.le.vmin  .and. v.ge.vmax) then
                   rgb_star = .true.
                   return
                endif
 	     enddo
	   endif
	 enddo

        return
        end

