	program cmd2
c
c a routine to compute the fraction of the total light in
c the V band, from a sorted list of magnitudes
c Then it will print out the v and bv of various percentile marks
c
c this time compute median B-V for each 5% flux bin
c
	real lsum(20000),v(20000),bv(20000),ltot,fracl(20000)
        real lsumall(20000),vrgb(20000),bvrgb(20000)
        real vlim(20),bvdummy(10000)
c       data vlim/9.89,10.56,10.93,11.37,11.64,11.86,12.25,12.48,
c    %           12.69,13.01,13.32,13.68,14.54,15.54,16.08,16.48,
c    %           16.86,17.31,17.87,100.0/
	data vlim/9.89, 10.34, 10.65, 10.94, 11.37, 11.48, 11.86,
     %           12.39, 12.61, 13.17, 13.78, 14.35, 15.11, 15.81,
     %           16.24, 16.59, 16.96, 17.41, 17.94, 19.30/

	read(5,*)id,x,y,v(1),verr,rot1,rot2,bv(1)
        lsumall(1) = 10.0**(-0.4*v(1))
        nrgb = 1
        bvrgb(nrgb) = bv(1)
        vrgb(nrgb) = v(1)
	do i = 2,20000
	   read(5,*,end=900)id,x,y,v(i),verr,rot1,rot2,bv(i)
           if (bv(i).ge.0.4) then
              nrgb = nrgb + 1
              bvrgb(nrgb) = bv(i)
              vrgb(nrgb) = v(i)
              if (nrgb.eq.1) then
	         lsum(nrgb) = 10.0**(-0.4*v(i))
              else
	         lsum(nrgb) = lsum(nrgb-1) + 10.0**(-0.4*v(i))
              endif
              
           else
	      lsumall(i) = lsumall(i-1) + 10.0**(-0.4*v(i))
           endif
        enddo

 900	continue
	nobj = i - 1
	ltot = lsum(nrgb)
        nmed = 1
        bvdummy(1) = bvrgb(1)
c	write(6,*)vrgb(1),bvrgb(1)
        j = 1

	do i = 2,nrgb
           fracl(i) = lsum(i)/ltot

c          write(6,*)vrgb(i),vlim(j)
           if ( vrgb(i).le.vlim(j) ) then
c             write(6,*)vrgb(i),bvrgb(i),fracl(i)
              nmed = nmed + 1
              bvdummy(nmed) = bvrgb(i)
           endif
           if ( vrgb(i).gt.vlim(j) .or. i.eq.nrgb ) then
              call get_median(bvmed,nmed,bvdummy)
	      write(6,*)vlim(j),bvmed
              j = j + 1
              nmed = 1
              bvdummy(nmed) = bvrgb(i)
c             write(6,*)vrgb(i),bvrgb(i),fracl(i)
           endif
              
	enddo

	stop
	end

        subroutine get_median(bvmed,nmed,bvdummy)
        real bvmed,bvdummy(10000),xdum
        integer nmed

        do i = 1,nmed-1
           do j = 1,nmed-i
              if (bvdummy(j).lt.bvdummy(j+1)) then
                 xdum = bvdummy(j+1)
                 bvdummy(j+1) = bvdummy(j)
                 bvdummy(j)   = xdum
              endif
	   enddo
	enddo

c
c DEBUG
c
c       write(6,'(a)')'sorted bvdummy'
c       write(6,*)(bvdummy(j),j=1,nmed)
c  

        middle = nmed/2
        if (middle*2.eq.nmed) then
           bvmed = 0.5*(bvdummy(middle)+bvdummy(middle+1))
        else
           bvmed = bvdummy(middle+1)
	endif
           
c       write(6,'(a)')'In get median'
c       write(6,'(a)')'nmed,middle,bvmed'
c       write(6,*)nmed,middle,bvmed

        return
        end
                 
